<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/PPEManager/Materials/MatClasses/PPEWetDistort.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dc/dd7/_p_p_e_wet_distort_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">PPEWetDistort.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../dc/dd7/_p_p_e_wet_distort_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span> </div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno"><a class="line" href="../../da/d73/class_p_p_e_wet_distort.html">    2</a></span><span class="keyword">class </span><a class="code hl_class" href="../../da/d73/class_p_p_e_wet_distort.html">PPEWetDistort</a>: <a class="code hl_class" href="../../d3/ddf/class_p_p_e_class_base.html">PPEClassBase</a></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span>{</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../da/d73/class_p_p_e_wet_distort.html#a6c47c18c2c706c4d2f9a39173dc4bac7">    4</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../da/d73/class_p_p_e_wet_distort.html#a6c47c18c2c706c4d2f9a39173dc4bac7">PARAM_BLURPOWER</a> = 0;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../da/d73/class_p_p_e_wet_distort.html#a210a0f5d45d5635b5ea1fedcc2f87899">    5</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../da/d73/class_p_p_e_wet_distort.html#a210a0f5d45d5635b5ea1fedcc2f87899">PARAM_LOCALBLURPOWER</a> = 1;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../da/d73/class_p_p_e_wet_distort.html#a55bf4dade646c62b8b40f10ff17fa384">    6</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../da/d73/class_p_p_e_wet_distort.html#a55bf4dade646c62b8b40f10ff17fa384">PARAM_EFFPOWERTOP</a> = 2;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../da/d73/class_p_p_e_wet_distort.html#a28064005a6ec72a5e32fff3d167d73dc">    7</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../da/d73/class_p_p_e_wet_distort.html#a28064005a6ec72a5e32fff3d167d73dc">PARAM_EFFPOWERBOTTOM</a> = 3;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../da/d73/class_p_p_e_wet_distort.html#a71eae55b6374df7eb6dce140dbdd72c3">    8</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../da/d73/class_p_p_e_wet_distort.html#a71eae55b6374df7eb6dce140dbdd72c3">PARAM_BLURDOWNSIZE</a> = 4;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../da/d73/class_p_p_e_wet_distort.html#a2c8c32767cfdd2afc779a877ce82cd10">    9</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../da/d73/class_p_p_e_wet_distort.html#a2c8c32767cfdd2afc779a877ce82cd10">PARAM_BLURGAUSS</a> = 5;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../da/d73/class_p_p_e_wet_distort.html#a50dda3ff84689111e34328b1b291b2e0">   10</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../da/d73/class_p_p_e_wet_distort.html#a50dda3ff84689111e34328b1b291b2e0">PARAM_WAVSPDX1</a> = 6;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../da/d73/class_p_p_e_wet_distort.html#a569f5dda3b16cc5206616efa9f9e59b8">   11</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../da/d73/class_p_p_e_wet_distort.html#a569f5dda3b16cc5206616efa9f9e59b8">PARAM_WAVSPDX2</a> = 7;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../da/d73/class_p_p_e_wet_distort.html#af8e137b9e5993c5b75654790fc90176d">   12</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../da/d73/class_p_p_e_wet_distort.html#af8e137b9e5993c5b75654790fc90176d">PARAM_WAVSPDY1</a> = 8;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../da/d73/class_p_p_e_wet_distort.html#af180424dc84b7dac0cf357e6a0f6bbca">   13</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../da/d73/class_p_p_e_wet_distort.html#af180424dc84b7dac0cf357e6a0f6bbca">PARAM_WAVSPDY2</a> = 9;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../da/d73/class_p_p_e_wet_distort.html#a479fd9fa8d1a5bc1a8153f71ceef77c3">   14</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../da/d73/class_p_p_e_wet_distort.html#a479fd9fa8d1a5bc1a8153f71ceef77c3">PARAM_WAVEAMPX1</a> = 10;</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../da/d73/class_p_p_e_wet_distort.html#ae3aff0a6878d188e2e9a11352dfa322c">   15</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../da/d73/class_p_p_e_wet_distort.html#ae3aff0a6878d188e2e9a11352dfa322c">PARAM_WAVEAMPX2</a> = 11;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../da/d73/class_p_p_e_wet_distort.html#a9f7e36a3e52e7279cb18f8cbff253b3c">   16</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../da/d73/class_p_p_e_wet_distort.html#a9f7e36a3e52e7279cb18f8cbff253b3c">PARAM_WAVEAMPY1</a> = 12;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../da/d73/class_p_p_e_wet_distort.html#aedeee91d338f21dc9d1b8c909f5fe08d">   17</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../da/d73/class_p_p_e_wet_distort.html#aedeee91d338f21dc9d1b8c909f5fe08d">PARAM_WAVEAMPY2</a> = 13;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../da/d73/class_p_p_e_wet_distort.html#a7234cf004d23829f4cad27bbac5defa4">   18</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../da/d73/class_p_p_e_wet_distort.html#a7234cf004d23829f4cad27bbac5defa4">PARAM_PHASERANDX</a> = 14;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../da/d73/class_p_p_e_wet_distort.html#a26033d1fc506a1c86894713ecc652218">   19</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../da/d73/class_p_p_e_wet_distort.html#a26033d1fc506a1c86894713ecc652218">PARAM_PHASERANDY</a> = 15;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../da/d73/class_p_p_e_wet_distort.html#ad04b296e26411356f94ec2da1e700dcc">   20</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../da/d73/class_p_p_e_wet_distort.html#ad04b296e26411356f94ec2da1e700dcc">PARAM_PHASEPOSX</a> = 16;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../da/d73/class_p_p_e_wet_distort.html#a77fd57eb1921998ad793d6d779725a08">   21</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../da/d73/class_p_p_e_wet_distort.html#a77fd57eb1921998ad793d6d779725a08">PARAM_PHASEPOSY</a> = 17;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../da/d73/class_p_p_e_wet_distort.html#a43a35f9d65dba668b605bc036a5b0967">   23</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../da/d73/class_p_p_e_wet_distort.html#a43a35f9d65dba668b605bc036a5b0967">GetPostProcessEffectID</a>()</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    {</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <span class="keywordflow">return</span> <a class="code hl_enumeration" href="../../dd/dd2/group___camera.html#gac5442d940bdd247b908f1f02efd643ec">PostProcessEffectType</a>.WetDistort;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    }</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="../../da/d73/class_p_p_e_wet_distort.html#ab88ad23f5d52594141fd877775b5a0b6">   28</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../da/d73/class_p_p_e_wet_distort.html#ab88ad23f5d52594141fd877775b5a0b6">GetDefaultMaterialPath</a>()</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    {</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;Graphics/Materials/postprocess/wetdistort&quot;</span>;</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    }</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="../../da/d73/class_p_p_e_wet_distort.html#af1356ebe06eee5ac60bdd78a2a013dd9">   33</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d73/class_p_p_e_wet_distort.html#af1356ebe06eee5ac60bdd78a2a013dd9">RegisterMaterialParameters</a>()</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    {</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../da/d73/class_p_p_e_wet_distort.html#a6c47c18c2c706c4d2f9a39173dc4bac7">PARAM_BLURPOWER</a>,<span class="stringliteral">&quot;BlurPower&quot;</span>,0.5,0.0,1.0);</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../da/d73/class_p_p_e_wet_distort.html#a210a0f5d45d5635b5ea1fedcc2f87899">PARAM_LOCALBLURPOWER</a>,<span class="stringliteral">&quot;LocalBlurPower&quot;</span>,0.4,0.0,1.0);</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../da/d73/class_p_p_e_wet_distort.html#a55bf4dade646c62b8b40f10ff17fa384">PARAM_EFFPOWERTOP</a>,<span class="stringliteral">&quot;EffectPowerTop&quot;</span>,0.0,0.0,1.0);</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../da/d73/class_p_p_e_wet_distort.html#a28064005a6ec72a5e32fff3d167d73dc">PARAM_EFFPOWERBOTTOM</a>,<span class="stringliteral">&quot;EffectPowerBottom&quot;</span>,0.0,0.0,1.0);</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#aa6672a71ac6c87076587b5beaefe1a40">RegisterParameterScalarInt</a>(<a class="code hl_variable" href="../../da/d73/class_p_p_e_wet_distort.html#a71eae55b6374df7eb6dce140dbdd72c3">PARAM_BLURDOWNSIZE</a>,<span class="stringliteral">&quot;BlurDownSize&quot;</span>,2,0,3);</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#aa6672a71ac6c87076587b5beaefe1a40">RegisterParameterScalarInt</a>(<a class="code hl_variable" href="../../da/d73/class_p_p_e_wet_distort.html#a2c8c32767cfdd2afc779a877ce82cd10">PARAM_BLURGAUSS</a>,<span class="stringliteral">&quot;BlurGauss&quot;</span>,1,1,4);</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../da/d73/class_p_p_e_wet_distort.html#a50dda3ff84689111e34328b1b291b2e0">PARAM_WAVSPDX1</a>,<span class="stringliteral">&quot;WaveSpeedX1&quot;</span>,4.1,0.5,10.0);</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../da/d73/class_p_p_e_wet_distort.html#a569f5dda3b16cc5206616efa9f9e59b8">PARAM_WAVSPDX2</a>,<span class="stringliteral">&quot;WaveSpeedX2&quot;</span>,3.7,0.5,10.0);</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../da/d73/class_p_p_e_wet_distort.html#af8e137b9e5993c5b75654790fc90176d">PARAM_WAVSPDY1</a>,<span class="stringliteral">&quot;WaveSpeedY1&quot;</span>,2.5,0.5,10.0);</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../da/d73/class_p_p_e_wet_distort.html#af180424dc84b7dac0cf357e6a0f6bbca">PARAM_WAVSPDY2</a>,<span class="stringliteral">&quot;WaveSpeedY2&quot;</span>,1.85,0.5,10.0);</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../da/d73/class_p_p_e_wet_distort.html#a479fd9fa8d1a5bc1a8153f71ceef77c3">PARAM_WAVEAMPX1</a>,<span class="stringliteral">&quot;WaveAmpX1&quot;</span>,0.005,0.001,0.02);</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../da/d73/class_p_p_e_wet_distort.html#ae3aff0a6878d188e2e9a11352dfa322c">PARAM_WAVEAMPX2</a>,<span class="stringliteral">&quot;WaveAmpX2&quot;</span>,0.004,0.001,0.02);</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../da/d73/class_p_p_e_wet_distort.html#a9f7e36a3e52e7279cb18f8cbff253b3c">PARAM_WAVEAMPY1</a>,<span class="stringliteral">&quot;WaveAmpY1&quot;</span>,0.009,0.001,0.02);</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../da/d73/class_p_p_e_wet_distort.html#aedeee91d338f21dc9d1b8c909f5fe08d">PARAM_WAVEAMPY2</a>,<span class="stringliteral">&quot;WaveAmpY2&quot;</span>,0.007,0.001,0.02);</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../da/d73/class_p_p_e_wet_distort.html#a7234cf004d23829f4cad27bbac5defa4">PARAM_PHASERANDX</a>,<span class="stringliteral">&quot;PhaseRandX&quot;</span>,0.5,0.0,1.0);</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../da/d73/class_p_p_e_wet_distort.html#a26033d1fc506a1c86894713ecc652218">PARAM_PHASERANDY</a>,<span class="stringliteral">&quot;PhaseRandY&quot;</span>,0.3,0.0,1.0);</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../da/d73/class_p_p_e_wet_distort.html#ad04b296e26411356f94ec2da1e700dcc">PARAM_PHASEPOSX</a>,<span class="stringliteral">&quot;PhasePosX&quot;</span>,10.0,0.0,20.0);</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../da/d73/class_p_p_e_wet_distort.html#a77fd57eb1921998ad793d6d779725a08">PARAM_PHASEPOSY</a>,<span class="stringliteral">&quot;PhasePosY&quot;</span>,6.0,0.0,20.0);</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    }</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>}</div>
<div class="ttc" id="aclass_p_p_e_class_base_html"><div class="ttname"><a href="../../d3/ddf/class_p_p_e_class_base.html">PPEClassBase</a></div><div class="ttdoc">Created once, on manager init. Script-side representation of C++ material class, separate handling.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dba/_p_p_e_mat_classes_base_8c_source.html#l00002">PPEMatClassesBase.c:3</a></div></div>
<div class="ttc" id="aclass_p_p_e_class_base_html_aa6672a71ac6c87076587b5beaefe1a40"><div class="ttname"><a href="../../d3/ddf/class_p_p_e_class_base.html#aa6672a71ac6c87076587b5beaefe1a40">PPEClassBase::RegisterParameterScalarInt</a></div><div class="ttdeci">protected void RegisterParameterScalarInt(int idx, string parameter_name, int default_value, int min, int max)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dba/_p_p_e_mat_classes_base_8c_source.html#l00067">PPEMatClassesBase.c:67</a></div></div>
<div class="ttc" id="aclass_p_p_e_class_base_html_afdb1572dadef790be5856fb27fbbbf02"><div class="ttname"><a href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">PPEClassBase::RegisterParameterScalarFloat</a></div><div class="ttdeci">protected void RegisterParameterScalarFloat(int idx, string parameter_name, float default_value, float min, float max)</div><div class="ttdoc">WARNING - min/max values are usually taken from Workbench defaults, may not be actual min/max values ...</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dba/_p_p_e_mat_classes_base_8c_source.html#l00077">PPEMatClassesBase.c:77</a></div></div>
<div class="ttc" id="aclass_p_p_e_wet_distort_html"><div class="ttname"><a href="../../da/d73/class_p_p_e_wet_distort.html">PPEWetDistort</a></div><div class="ttdoc">WetDistort - PostProcessEffectType.WetDistort.</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dd7/_p_p_e_wet_distort_8c_source.html#l00002">PPEWetDistort.c:3</a></div></div>
<div class="ttc" id="aclass_p_p_e_wet_distort_html_a210a0f5d45d5635b5ea1fedcc2f87899"><div class="ttname"><a href="../../da/d73/class_p_p_e_wet_distort.html#a210a0f5d45d5635b5ea1fedcc2f87899">PPEWetDistort::PARAM_LOCALBLURPOWER</a></div><div class="ttdeci">static const int PARAM_LOCALBLURPOWER</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dd7/_p_p_e_wet_distort_8c_source.html#l00005">PPEWetDistort.c:5</a></div></div>
<div class="ttc" id="aclass_p_p_e_wet_distort_html_a26033d1fc506a1c86894713ecc652218"><div class="ttname"><a href="../../da/d73/class_p_p_e_wet_distort.html#a26033d1fc506a1c86894713ecc652218">PPEWetDistort::PARAM_PHASERANDY</a></div><div class="ttdeci">static const int PARAM_PHASERANDY</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dd7/_p_p_e_wet_distort_8c_source.html#l00019">PPEWetDistort.c:19</a></div></div>
<div class="ttc" id="aclass_p_p_e_wet_distort_html_a28064005a6ec72a5e32fff3d167d73dc"><div class="ttname"><a href="../../da/d73/class_p_p_e_wet_distort.html#a28064005a6ec72a5e32fff3d167d73dc">PPEWetDistort::PARAM_EFFPOWERBOTTOM</a></div><div class="ttdeci">static const int PARAM_EFFPOWERBOTTOM</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dd7/_p_p_e_wet_distort_8c_source.html#l00007">PPEWetDistort.c:7</a></div></div>
<div class="ttc" id="aclass_p_p_e_wet_distort_html_a2c8c32767cfdd2afc779a877ce82cd10"><div class="ttname"><a href="../../da/d73/class_p_p_e_wet_distort.html#a2c8c32767cfdd2afc779a877ce82cd10">PPEWetDistort::PARAM_BLURGAUSS</a></div><div class="ttdeci">static const int PARAM_BLURGAUSS</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dd7/_p_p_e_wet_distort_8c_source.html#l00009">PPEWetDistort.c:9</a></div></div>
<div class="ttc" id="aclass_p_p_e_wet_distort_html_a43a35f9d65dba668b605bc036a5b0967"><div class="ttname"><a href="../../da/d73/class_p_p_e_wet_distort.html#a43a35f9d65dba668b605bc036a5b0967">PPEWetDistort::GetPostProcessEffectID</a></div><div class="ttdeci">override int GetPostProcessEffectID()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dd7/_p_p_e_wet_distort_8c_source.html#l00023">PPEWetDistort.c:23</a></div></div>
<div class="ttc" id="aclass_p_p_e_wet_distort_html_a479fd9fa8d1a5bc1a8153f71ceef77c3"><div class="ttname"><a href="../../da/d73/class_p_p_e_wet_distort.html#a479fd9fa8d1a5bc1a8153f71ceef77c3">PPEWetDistort::PARAM_WAVEAMPX1</a></div><div class="ttdeci">static const int PARAM_WAVEAMPX1</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dd7/_p_p_e_wet_distort_8c_source.html#l00014">PPEWetDistort.c:14</a></div></div>
<div class="ttc" id="aclass_p_p_e_wet_distort_html_a50dda3ff84689111e34328b1b291b2e0"><div class="ttname"><a href="../../da/d73/class_p_p_e_wet_distort.html#a50dda3ff84689111e34328b1b291b2e0">PPEWetDistort::PARAM_WAVSPDX1</a></div><div class="ttdeci">static const int PARAM_WAVSPDX1</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dd7/_p_p_e_wet_distort_8c_source.html#l00010">PPEWetDistort.c:10</a></div></div>
<div class="ttc" id="aclass_p_p_e_wet_distort_html_a55bf4dade646c62b8b40f10ff17fa384"><div class="ttname"><a href="../../da/d73/class_p_p_e_wet_distort.html#a55bf4dade646c62b8b40f10ff17fa384">PPEWetDistort::PARAM_EFFPOWERTOP</a></div><div class="ttdeci">static const int PARAM_EFFPOWERTOP</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dd7/_p_p_e_wet_distort_8c_source.html#l00006">PPEWetDistort.c:6</a></div></div>
<div class="ttc" id="aclass_p_p_e_wet_distort_html_a569f5dda3b16cc5206616efa9f9e59b8"><div class="ttname"><a href="../../da/d73/class_p_p_e_wet_distort.html#a569f5dda3b16cc5206616efa9f9e59b8">PPEWetDistort::PARAM_WAVSPDX2</a></div><div class="ttdeci">static const int PARAM_WAVSPDX2</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dd7/_p_p_e_wet_distort_8c_source.html#l00011">PPEWetDistort.c:11</a></div></div>
<div class="ttc" id="aclass_p_p_e_wet_distort_html_a6c47c18c2c706c4d2f9a39173dc4bac7"><div class="ttname"><a href="../../da/d73/class_p_p_e_wet_distort.html#a6c47c18c2c706c4d2f9a39173dc4bac7">PPEWetDistort::PARAM_BLURPOWER</a></div><div class="ttdeci">static const int PARAM_BLURPOWER</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dd7/_p_p_e_wet_distort_8c_source.html#l00004">PPEWetDistort.c:4</a></div></div>
<div class="ttc" id="aclass_p_p_e_wet_distort_html_a71eae55b6374df7eb6dce140dbdd72c3"><div class="ttname"><a href="../../da/d73/class_p_p_e_wet_distort.html#a71eae55b6374df7eb6dce140dbdd72c3">PPEWetDistort::PARAM_BLURDOWNSIZE</a></div><div class="ttdeci">static const int PARAM_BLURDOWNSIZE</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dd7/_p_p_e_wet_distort_8c_source.html#l00008">PPEWetDistort.c:8</a></div></div>
<div class="ttc" id="aclass_p_p_e_wet_distort_html_a7234cf004d23829f4cad27bbac5defa4"><div class="ttname"><a href="../../da/d73/class_p_p_e_wet_distort.html#a7234cf004d23829f4cad27bbac5defa4">PPEWetDistort::PARAM_PHASERANDX</a></div><div class="ttdeci">static const int PARAM_PHASERANDX</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dd7/_p_p_e_wet_distort_8c_source.html#l00018">PPEWetDistort.c:18</a></div></div>
<div class="ttc" id="aclass_p_p_e_wet_distort_html_a77fd57eb1921998ad793d6d779725a08"><div class="ttname"><a href="../../da/d73/class_p_p_e_wet_distort.html#a77fd57eb1921998ad793d6d779725a08">PPEWetDistort::PARAM_PHASEPOSY</a></div><div class="ttdeci">static const int PARAM_PHASEPOSY</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dd7/_p_p_e_wet_distort_8c_source.html#l00021">PPEWetDistort.c:21</a></div></div>
<div class="ttc" id="aclass_p_p_e_wet_distort_html_a9f7e36a3e52e7279cb18f8cbff253b3c"><div class="ttname"><a href="../../da/d73/class_p_p_e_wet_distort.html#a9f7e36a3e52e7279cb18f8cbff253b3c">PPEWetDistort::PARAM_WAVEAMPY1</a></div><div class="ttdeci">static const int PARAM_WAVEAMPY1</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dd7/_p_p_e_wet_distort_8c_source.html#l00016">PPEWetDistort.c:16</a></div></div>
<div class="ttc" id="aclass_p_p_e_wet_distort_html_ab88ad23f5d52594141fd877775b5a0b6"><div class="ttname"><a href="../../da/d73/class_p_p_e_wet_distort.html#ab88ad23f5d52594141fd877775b5a0b6">PPEWetDistort::GetDefaultMaterialPath</a></div><div class="ttdeci">override string GetDefaultMaterialPath()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dd7/_p_p_e_wet_distort_8c_source.html#l00028">PPEWetDistort.c:28</a></div></div>
<div class="ttc" id="aclass_p_p_e_wet_distort_html_ad04b296e26411356f94ec2da1e700dcc"><div class="ttname"><a href="../../da/d73/class_p_p_e_wet_distort.html#ad04b296e26411356f94ec2da1e700dcc">PPEWetDistort::PARAM_PHASEPOSX</a></div><div class="ttdeci">static const int PARAM_PHASEPOSX</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dd7/_p_p_e_wet_distort_8c_source.html#l00020">PPEWetDistort.c:20</a></div></div>
<div class="ttc" id="aclass_p_p_e_wet_distort_html_ae3aff0a6878d188e2e9a11352dfa322c"><div class="ttname"><a href="../../da/d73/class_p_p_e_wet_distort.html#ae3aff0a6878d188e2e9a11352dfa322c">PPEWetDistort::PARAM_WAVEAMPX2</a></div><div class="ttdeci">static const int PARAM_WAVEAMPX2</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dd7/_p_p_e_wet_distort_8c_source.html#l00015">PPEWetDistort.c:15</a></div></div>
<div class="ttc" id="aclass_p_p_e_wet_distort_html_aedeee91d338f21dc9d1b8c909f5fe08d"><div class="ttname"><a href="../../da/d73/class_p_p_e_wet_distort.html#aedeee91d338f21dc9d1b8c909f5fe08d">PPEWetDistort::PARAM_WAVEAMPY2</a></div><div class="ttdeci">static const int PARAM_WAVEAMPY2</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dd7/_p_p_e_wet_distort_8c_source.html#l00017">PPEWetDistort.c:17</a></div></div>
<div class="ttc" id="aclass_p_p_e_wet_distort_html_af1356ebe06eee5ac60bdd78a2a013dd9"><div class="ttname"><a href="../../da/d73/class_p_p_e_wet_distort.html#af1356ebe06eee5ac60bdd78a2a013dd9">PPEWetDistort::RegisterMaterialParameters</a></div><div class="ttdeci">override void RegisterMaterialParameters()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dd7/_p_p_e_wet_distort_8c_source.html#l00033">PPEWetDistort.c:33</a></div></div>
<div class="ttc" id="aclass_p_p_e_wet_distort_html_af180424dc84b7dac0cf357e6a0f6bbca"><div class="ttname"><a href="../../da/d73/class_p_p_e_wet_distort.html#af180424dc84b7dac0cf357e6a0f6bbca">PPEWetDistort::PARAM_WAVSPDY2</a></div><div class="ttdeci">static const int PARAM_WAVSPDY2</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dd7/_p_p_e_wet_distort_8c_source.html#l00013">PPEWetDistort.c:13</a></div></div>
<div class="ttc" id="aclass_p_p_e_wet_distort_html_af8e137b9e5993c5b75654790fc90176d"><div class="ttname"><a href="../../da/d73/class_p_p_e_wet_distort.html#af8e137b9e5993c5b75654790fc90176d">PPEWetDistort::PARAM_WAVSPDY1</a></div><div class="ttdeci">static const int PARAM_WAVSPDY1</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dd7/_p_p_e_wet_distort_8c_source.html#l00012">PPEWetDistort.c:12</a></div></div>
<div class="ttc" id="agroup___camera_html_gac5442d940bdd247b908f1f02efd643ec"><div class="ttname"><a href="../../dd/dd2/group___camera.html#gac5442d940bdd247b908f1f02efd643ec">PostProcessEffectType</a></div><div class="ttdeci">PostProcessEffectType</div><div class="ttdoc">Post-process effect type.</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d09/_en_world_8c_source.html#l00071">EnWorld.c:72</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_6c0cee39f72e4a24103cd1ca1fbae1cc.html">PPEManager</a></li><li class="navelem"><a class="el" href="../../dir_8bc3653e9bcdee59a0a321a7f331d675.html">Materials</a></li><li class="navelem"><a class="el" href="../../dir_228b1874a3aee11e6530a88a8cb14f93.html">MatClasses</a></li><li class="navelem"><a class="el" href="../../dc/dd7/_p_p_e_wet_distort_8c.html">PPEWetDistort.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
